#ifndef ACOLOR_H
#define ACOLOR_H
/* Arahne's color structure */
typedef struct
 {
  char *code;
  char *name;
  short L, a, b; /* CIE Lab colors */
  short diffScreen, diffPrint;
  unsigned char diffScrPrt; /* for colors without Lab - are print and screen colors the same or not */
  unsigned char red, green, blue; /* screen colors */
  unsigned char pred, pgreen, pblue; /* print colors */
  unsigned int pixel; /* pixel value in allocated colormap or pixel */
                      /* with rgb shifted to proper positions for display */
 } aColor;

#endif
