/***************************************************************************
                          dialogPreview.cpp  -  description
                             -------------------
    begin                : Mon May 31 2004
    copyright            : (C) 2003-2011 Arahne, d.o.o.
    email                : arahne@arahne.si
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "dialogPreview.h"
#include "apaintconfig.h"
#include "apaintview.h"
#include "apaintimage.h"
#include "qpushbutton.h"

PreviewDialog::PreviewDialog(QWidget *parent, const char *name):PreviewDialogUI(parent, name)
{
 setCaption(ApaintConfig::getText(158));
 btnClose->setText(ApaintConfig::getText(86));
 connect(btnClose, SIGNAL(clicked()), this, SLOT(closeWin()));
}

PreviewDialog::~PreviewDialog()
{

}

void PreviewDialog::showDlg()
{
  show();
}

void PreviewDialog::setImage(ApaintImage img)
{
 if (img.isNull()) return;
 previewImg = img;
 imgView->setImage(&previewImg);
}

void PreviewDialog::closeWin()
{
  close();
  previewImg = ApaintImage();
  imgView->setImage(0);

}
